IG User Connected Threads User
Updated: Jun 13, 2025
Represents a Threads account connected to an Instagram account.
Requirements
| Type | Description |
|---|---|
If the app user was granted a role via the Business Manager on the Page connected to your app user’s Instagram professional account, your app will also need one of: | |
A Facebook User access token. |
Limitations
- You need to have at least an Advertiser role on the Page that is linked to your Instagram account; Manager or Content Creator also work. Or you need to have the Instagram account connected to a business account where you have appropriate roles.
- If you want to use this Threads account ID for Threads ads creation, make sure your connected Instagram account has the correct ads creation identity setup, either business-claimed Instagram account or page-connected Instagram account.
- An Instagram account can have only one Instagram-connected Threads account. Verify whether a specific Instagram account has an Instagram-connected Threads account before attempting to create a new one. If one already exists, use that one.
Reading
GET /{ig-user-id}/connected_threads_userOnce you connect a Threads account to a valid Instagram account, you can make an API request to get the Threads account ID.
Sample request
curl -G \
-d "access_token=<ACCESS_TOKEN>"\
-d "fields=threads_user_id" \
"https://graph.facebook.com/v25.0/<IG_USER_ID>/connected_threads_user"
Sample response
{ "data": [ { "threads_user_id": "<THREADS_USER_ID>", } ], }
Creating
This operation is not supported.
Updating
This operation is not supported.
Deleting
This operation is not supported.